Subject: Re: bug#17392: 24.3.90; cursor blinks faster and faster

From: Eli Zaretskii <[email-masked]>
Date: Wed, 14 May 2014 05:43:16 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Michael Heerdegen <[email-masked]>, [email-masked]
> Date: Tue, 13 May 2014 16:22:45 -0400
> 
> > The code in keyboard.c is very simple: it copies the timers list, and
> > then examines each timer in the copy in sequence, and invokes every
> > timer that expired.  That is all.  Can you describe a scenario where
> > the timer function thus invoked will not find its timer in the
> > original list?  What could delete or modify the timer, and how?
> 
> How 'bout: the list contains two timers, we copy it, then run the first
> which removes the second, then run the second which doesn't find itself
> in the list.

I thought about this, but (a) I don't see where the blink-cursor timer
removes any other timers, and (b) I don't see why this scenario would
be a problem that could lead to the issue in point in the first place.